package com.huatek.busi.mapper;

import java.math.BigDecimal;
import java.time.LocalDate;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.entity.TemperIncreaseRate;

/**
 * 温度日增长率
 * 
 * @author buck_guo
 *
 */
@Repository
public interface TemperIncreaseRateMapper {
    int deleteItem(@Param("sensorCode") String sensorCode, @Param("dTime") LocalDate dTime);

    TemperIncreaseRate getNearlyItem(@Param("sensorCode") String sensorCode, @Param("dTime") LocalDate dTime);

    TemperIncreaseRate getTemperIncreaseRateBySensorCode(@Param("sensorCode") String sensorCode);

    BigDecimal getMonthAvgTemper(@Param("sensorCode") String sensorCode, @Param("startDay") LocalDate startDay,
        @Param("endDay") LocalDate endDay);

    String getDailyGrowthRate(@Param("sensorCode") String sensorCode, @Param("day") LocalDate day);
}